import request from '@/utils/request'

// 组织列表
export function apiOrganizationList() {
    return request.get({ url: '/organization/list' })
}
// 获取所有团队
export function apiOrganizationTeamList() {
    return request.get({ url: '/organization/getAllGroup' })
}
// 获取组织
export function apiOrganizationByIdList() {
    return request.get({ url: '/organization/getAllOrg' })
}
// 获取该账号下的所有组织架构以及人员
export function apiOrganizationAllList() {
    return request.get({ url: '/organization/getAllChildOrgInfo' })
}
// 岗位列表
export function postLists(params?: any) {
    return request.get({ url: '/system/post/list', data: params }, { ignoreCancel: true })
}

// 数据简报
export function apiDataOverview(params: any) {
    return request.get({ url: '/control/dataPresentation', data: params })
}
// 线索转客户统计
export function convertProcessApi(params?: any) {
    return request.get({ url: '/control/leadToCustomerStatistics', data: params })
}
// 线索转化情况统计
export function clueStatusApi(params?: any) {
    return request.get({ url: '/control/clueStatistics', data: params })
}
// 成交客户转化统计
export function convertedSuccessApi(params?: any) {
    return request.get({ url: '/control/clueTransactionCustomerStatistics', data: params })
}
// Top5
export function rankListApi(params?: any) {
    return request.get({ url: '/control/top', data: params })
}
// 排名榜查看更多
export function rankMoreListApi(params?: any) {
    return request.get({ url: '/control/topAll', data: params })
}

// 具体某个成员的数据
export function personalListApi(params?: any) {
    return request.get({ url: '/personageControl/personageControlList', data: params })
}
// 具体某个成员的详情
export function personalDetailApi(params?: any) {
    return request.get({ url: '/personageControl/detail', data: params })
}
